### org.jfree.layouting.input.style.keys.box

# Class BoxStyleKeys

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.box.BoxStyleKeys`

`public class BoxStyleKeys`
`extends java.lang.Object`

http://www.w3.org/TR/css3-box/

Creation-Date: 27.10.2005, 21:12:57

Author:
  Thomas Morgner

  ## Field Summary

  `static StyleKey`

  `BOX_VERTICAL_ALIGN`
    Page 664 of the OpenOffice file format specs: (This is a similiar effect as the table-cell alignment) Possible values: top, middle, bottom, justify

  `static StyleKey`

  `CLEAR`

  `static StyleKey`

  `CLEAR_AFTER`

  `static StyleKey`

  `CROP`
    We alter the semantics a bit.

  `static StyleKey`

  `DISPLAY_MODEL`
    The 'display-model' property determines the algorithm with which an element lays out its children.

  `static StyleKey`

  `DISPLAY_ROLE`
    'display-role' specifies what role an element has in its parent's algorithm.

  `static StyleKey`

  `FIT`

  `static StyleKey`

  `FIT_POSITION`
    A pair of values.

  `static StyleKey`

  `FLOAT`

  `static StyleKey`

  `FLOAT_DISPLACE`

  `static StyleKey`

  `HEIGHT`
    These values may be auto.

  `static StyleKey`

  `INDENT_EDGE_RESET`

  `static StyleKey`

  `MARGIN_BOTTOM`

  `static StyleKey`

  `MARGIN_LEFT`

  `static StyleKey`

  `MARGIN_RIGHT`

  `static StyleKey`

  `MARGIN_TOP`
    These properties set the thickness of the margin.

  `static StyleKey`

  `MAX_HEIGHT`

  `static StyleKey`

  `MAX_WIDTH`

  `static StyleKey`

  `MIN_HEIGHT`

  `static StyleKey`

  `MIN_WIDTH`

  `static StyleKey`

  `OVERFLOW_CLIP`

  `static StyleKey`

  `OVERFLOW_X`
    The plain overflow behaviour can be constructed using these both properties.

  `static StyleKey`

  `OVERFLOW_Y`

  `static StyleKey`

  `PADDING_BOTTOM`

  `static StyleKey`

  `PADDING_LEFT`

  `static StyleKey`

  `PADDING_RIGHT`

  `static StyleKey`

  `PADDING_TOP`
    Set the padding around the content of a box.

  `static StyleKey`

  `VISIBILITY`
    The Marquee-Property set is not used.

  `static StyleKey`

  `WIDTH`
    These values may be auto.

## Field Details

### BOX_VERTICAL_ALIGN

    public static final StyleKey BOX_VERTICAL_ALIGN

> Page 664 of the OpenOffice file format specs: (This is a similiar effect as the table-cell alignment) Possible values: top, middle, bottom, justify

### CLEAR

    public static final StyleKey CLEAR

### CLEAR_AFTER

    public static final StyleKey CLEAR_AFTER

### CROP

    public static final StyleKey CROP

> We alter the semantics a bit. When crop is computed, absolute values are used. Inset-Rect is voodoo, so ignore it for now.

### DISPLAY_MODEL

    public static final StyleKey DISPLAY_MODEL

> The 'display-model' property determines the algorithm with which an element lays out its children.

### DISPLAY_ROLE

    public static final StyleKey DISPLAY_ROLE

> 'display-role' specifies what role an element has in its parent's algorithm.

### FIT

    public static final StyleKey FIT

### FIT_POSITION

    public static final StyleKey FIT_POSITION

> A pair of values.

### FLOAT

    public static final StyleKey FLOAT

### FLOAT_DISPLACE

    public static final StyleKey FLOAT_DISPLACE

### HEIGHT

    public static final StyleKey HEIGHT

> These values may be auto.

### INDENT_EDGE_RESET

    public static final StyleKey INDENT_EDGE_RESET

### MARGIN_BOTTOM

    public static final StyleKey MARGIN_BOTTOM

### MARGIN_LEFT

    public static final StyleKey MARGIN_LEFT

### MARGIN_RIGHT

    public static final StyleKey MARGIN_RIGHT

### MARGIN_TOP

    public static final StyleKey MARGIN_TOP

> These properties set the thickness of the margin. The value may be negative, but the UA may impose a lower bound.

> 'Margin' is a shorthand to set top, right, bottom and left together. If four values are given, they set top, right, bottom and left in that order. If left is omitted, it is the same as right. If bottom is omitted, it is the same as top. If right is omitted it is the same as top.

> The meaning of 'auto' on 'margin-left' '-right', '-top' and '-bottom' is as follows:

> on floating and inline-level elements, 'auto' is equal to 0 on positioned elements: see the positioning module[ref] on normal-flow elements, if the containing block is horizontal: o 'auto' on 'margin-top' and 'margin-bottom' is equal to 0 o on 'margin-right' and 'margin-left': see equation (1) below on normal-flow elements, if the containing block is vertical : o 'auto' on 'margin-right' and 'margin-left' is equal to 0 o on 'margin-top' and 'margin-bottom': see equation (1) below

> Margins must satisfy certain constraints, which means that the computed value may be different from the specified value. See equation (1) below.

> Note that in a horizontal flow, percentages on 'margin-top' and 'margin-bottom' are relative to the width of the containing block, not the height (and in vertical flow, 'margin-left' and 'margin-right' are relative to the height, not the width).

> Note that 'margin-top' and 'margin-bottom' do not apply to non-replaced, inline elements (in horizontal flow); see [CSS3LINE].

### MAX_HEIGHT

    public static final StyleKey MAX_HEIGHT

### MAX_WIDTH

    public static final StyleKey MAX_WIDTH

### MIN_HEIGHT

    public static final StyleKey MIN_HEIGHT

### MIN_WIDTH

    public static final StyleKey MIN_WIDTH

### OVERFLOW_CLIP

    public static final StyleKey OVERFLOW_CLIP

### OVERFLOW_X

    public static final StyleKey OVERFLOW_X

> The plain overflow behaviour can be constructed using these both properties.

### OVERFLOW_Y

    public static final StyleKey OVERFLOW_Y

### PADDING_BOTTOM

    public static final StyleKey PADDING_BOTTOM

### PADDING_LEFT

    public static final StyleKey PADDING_LEFT

### PADDING_RIGHT

    public static final StyleKey PADDING_RIGHT

### PADDING_TOP

    public static final StyleKey PADDING_TOP

> Set the padding around the content of a box. Padding is between content and border. Background expands over the padding up to the border.

> Values given may not be negative. If percentages are given, all paddings are relative to the width of the parent (if the flow is horizontal, else the height is used).

### VISIBILITY

    public static final StyleKey VISIBILITY

> The Marquee-Property set is not used. Scrolling or animations are useless when printing.

### WIDTH

    public static final StyleKey WIDTH

> These values may be auto.